<html>
<head>
<title>OGRE: Ogre::TextureFrameControllerValue Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1TextureFrameControllerValue.html">TextureFrameControllerValue</a></div>
<h1>Ogre::TextureFrameControllerValue Class Reference</h1><!-- doxytag: class="Ogre::TextureFrameControllerValue" --><!-- doxytag: inherits="Ogre::ControllerValue" -->Predefined controller value for getting / setting the frame number of a texture layer.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::TextureFrameControllerValue:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1TextureFrameControllerValue-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TextureFrameControllerValue.html#9a1644686bc16e783116d7fbd0735852">TextureFrameControllerValue</a> (<a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *t)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TextureFrameControllerValue.html#bf2dc15178cafd35eabe8a1de7e0b5f1">getValue</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the frame number as a parametric value in the range [0,1].  <a href="#bf2dc15178cafd35eabe8a1de7e0b5f1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TextureFrameControllerValue.html#99a02798e8722ec697dcdce3b6b3b81b">setValue</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the frame number as a parametric value in the range [0,1]; the actual frame number is value * (numFrames-1).  <a href="#99a02798e8722ec697dcdce3b6b3b81b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerValue.html#b719e69a47857662b71041b9c74e546b">setValue</a> (T value)=0</td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TextureFrameControllerValue.html#eff61a7e6136ed9752af3d1c5a29e69d">mTextureLayer</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Predefined controller value for getting / setting the frame number of a texture layer. 
<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00071">71</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="9a1644686bc16e783116d7fbd0735852"></a><!-- doxytag: member="Ogre::TextureFrameControllerValue::TextureFrameControllerValue" ref="9a1644686bc16e783116d7fbd0735852" args="(TextureUnitState *t)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::TextureFrameControllerValue::TextureFrameControllerValue           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&nbsp;</td>
          <td class="paramname"> <em>t</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="bf2dc15178cafd35eabe8a1de7e0b5f1"></a><!-- doxytag: member="Ogre::TextureFrameControllerValue::getValue" ref="bf2dc15178cafd35eabe8a1de7e0b5f1" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::TextureFrameControllerValue::getValue           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the frame number as a parametric value in the range [0,1]. 
<p>

<p>Implements <a class="el" href="classOgre_1_1ControllerValue.html#745741bba579264e57d797683d3feacd">Ogre::ControllerValue&lt; T &gt;</a>.</p>

</div>
</div><p>
<a class="anchor" name="99a02798e8722ec697dcdce3b6b3b81b"></a><!-- doxytag: member="Ogre::TextureFrameControllerValue::setValue" ref="99a02798e8722ec697dcdce3b6b3b81b" args="(Real value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::TextureFrameControllerValue::setValue           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the frame number as a parametric value in the range [0,1]; the actual frame number is value * (numFrames-1). 
<p>

</div>
</div><p>
<a class="anchor" name="b719e69a47857662b71041b9c74e546b"></a><!-- doxytag: member="Ogre::TextureFrameControllerValue::setValue" ref="b719e69a47857662b71041b9c74e546b" args="(T value)=0" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ControllerValue.html">Ogre::ControllerValue</a>&lt; T &gt;::setValue           </td>
          <td>(</td>
          <td class="paramtype">T&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="eff61a7e6136ed9752af3d1c5a29e69d"></a><!-- doxytag: member="Ogre::TextureFrameControllerValue::mTextureLayer" ref="eff61a7e6136ed9752af3d1c5a29e69d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a>* <a class="el" href="classOgre_1_1TextureFrameControllerValue.html#eff61a7e6136ed9752af3d1c5a29e69d">Ogre::TextureFrameControllerValue::mTextureLayer</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00074">74</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:50 2008
</p>
</body>
</html>
